#!/bin/sh

LIBS="libHello.dylib libHello_static.a"
BUILD_DIR=build
VERSION=6.0

build_archs() {
	sdk=$1
	shift
	for arch in $*
	do
		build_dir="$BUILD_DIR/$arch"
		mkdir -p $build_dir
		make CFLAGS="-arch $arch -miphoneos-version-min=$VERSION" SDK=$sdk $build_dir/$LIBNAME
	done
}

build_universal() {
	archs=""
	for arch in $*
	do
		archs="$archs -arch $arch $BUILD_DIR/$arch/$LIBNAME"
	done
	lipo $archs -create -output $LIBNAME
}

for lib in $LIBS
do
	LIBNAME=$lib
	build_archs iphoneos armv7 armv7s arm64
	build_archs iphonesimulator i386 x86_64
	build_universal armv7 armv7s arm64 i386 x86_64
	rm -rf $BUILD_DIR
done
